Attribute + Skill
=================

Theory
------

Everything is two things: An attribute, plus a Skill.
They combine in different ways.

| Strength | Dexterity | Speed | Intelligence | Wits | Charisma |
|:--------:|:--------:|:--------:|:--------:|:--------:|:--------:|
| Academics | Orating to a massive crowd | Forgery | Courier Runs | Recalling facts | Resisting an enchantment spell | Storytelling |
| Athletics | Lifting heavy loads | Climbing | Sprinting | Finding the easiest route to climb | Identifying optimal climbing conditions | Stage acrobatics |
| Deceit | Intimidation | Feigning an injury | Spreading a rumour across an entire town | Crafting a plausible lie | Making a quick excuse | Implausible lies |
| Stealth | Hiding in a hay bail | Moving quietly | Escaping into a crowd | Identifying the best hiding spot | Quickly hiding | Slipping into a party uninvited |


None of this should ever be hard coded.
The programmer should - at any point - decide that a creature's `X + Y` will affect how the environment responds.

For the most part, this will be a simple comparison.


```pseudo code
if ( Strength + Wyldcrafting > 3 ) {
    self.pickup(object)
}
```

Application
-----------

Within the game, the main combinations will probably be:

- **Running**: Speed + Athletics
- **Gathering**: Dexterity + Wyldcrafting
- **Swimming**: Speed + Seafaring

